View Issue Details

This bug affects 1 person(s).
 256
IDProjectCategoryView StatusLast Update
17368Bug reportsSecuritypublic2021-07-12 11:53
Reporteraba-rechsteiner Assigned Toollehar  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.5.x 
Summary17368: Failed Login Attempt locks out all users when behind nginx proxy - doesn't use sIPAddress
DescriptionBrings back an old problem

https://github.com/LimeSurvey/LimeSurvey/commit/55612ff40cac2a2b5da5cb0be67d829b34b750fa

https://bugs.limesurvey.org/view.php?id=8813
TagsNo tags attached.
Bug heat256
Complete LimeSurvey version number (& build)4.6.1
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionPostgresql 11.12
Server OS (if known)Debian GNU/Linux 10 (buster)
Webserver software & version (if known)
PHP Version7.4.19

Relationships

related to 17369 closedollehar Failed Login Attempt locks out all users when behind nginx proxy - doesn't use sIPAddress 

Activities

DenisChenu

DenisChenu

2021-06-15 09:45

developer   ~64912

Last edited: 2021-06-15 09:47

View 2 revisions

Same for 3.X
https://github.com/LimeSurvey/LimeSurvey/commit/ecddb3cb255a8b2774d301271631ae60a7e4d827

https://bugs.limesurvey.org/view.php?id=17369
ollehar

ollehar

2021-06-15 12:11

administrator   ~64915

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32084
DenisChenu

DenisChenu

2021-06-15 12:17

developer   ~64917

Maybe check with Carsten the reason of the fix ?

If needed in some condition : need a config ?
No ?
ollehar

ollehar

2021-06-15 13:16

administrator   ~64918

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32085
c_schmitz

c_schmitz

2021-07-12 11:53

administrator   ~65277

Release done.

Related Changesets

LimeSurvey: master 32ef0480

2021-06-15 12:10:59

ollehar

Details Diff
Fixed issue 17368: Failed Login Attempt locks out all users when behind nginx proxy

Discussion: https://github.com/LimeSurvey/LimeSurvey/commit/55612ff40cac2a2b5da5cb0be67d829b34b750fa
Affected Issues
17368
mod - application/models/FailedLoginAttempt.php Diff File

LimeSurvey: 3.x-LTS 7fd684f0

2021-06-15 12:10:59

ollehar

Details Diff
Fixed issue 17368: Failed Login Attempt locks out all users when behind nginx proxy

Discussion: https://github.com/LimeSurvey/LimeSurvey/commit/55612ff40cac2a2b5da5cb0be67d829b34b750fa
Affected Issues
17368
mod - application/models/FailedLoginAttempt.php Diff File

Issue History

Date Modified Username Field Change
2021-06-15 09:43 aba-rechsteiner New Issue
2021-06-15 09:45 DenisChenu Note Added: 64912
2021-06-15 09:46 DenisChenu Issue cloned: 17369
2021-06-15 09:47 DenisChenu Relationship added related to 17369
2021-06-15 09:47 DenisChenu Note Edited: 64912 View Revisions
2021-06-15 12:11 ollehar Changeset attached => LimeSurvey master 32ef0480
2021-06-15 12:11 ollehar Note Added: 64915
2021-06-15 12:11 ollehar Assigned To => ollehar
2021-06-15 12:11 ollehar Resolution open => fixed
2021-06-15 12:12 ollehar Status new => review
2021-06-15 12:17 DenisChenu Note Added: 64917
2021-06-15 13:16 ollehar Changeset attached => LimeSurvey 3.x-LTS 7fd684f0
2021-06-15 13:16 ollehar Note Added: 64918
2021-06-21 13:50 ollehar Status review => resolved
2021-07-12 10:06 guest Bug heat 256 => 254
2021-07-12 10:20 c_schmitz Bug heat 254 => 256
2021-07-12 10:26 guest Bug heat 256 => 254
2021-07-12 10:36 c_schmitz Bug heat 254 => 256
2021-07-12 10:37 guest Bug heat 256 => 254
2021-07-12 10:37 c_schmitz Bug heat 254 => 256
2021-07-12 10:42 guest Bug heat 256 => 254
2021-07-12 10:56 c_schmitz Bug heat 254 => 256
2021-07-12 10:56 guest Bug heat 256 => 254
2021-07-12 11:50 c_schmitz Bug heat 254 => 256
2021-07-12 11:53 c_schmitz Note Added: 65277
2021-07-12 11:53 c_schmitz Bug heat 256 => 258
2021-07-12 11:53 c_schmitz Status resolved => closed
2021-07-12 12:36 guest Bug heat 258 => 256
2021-07-13 14:54 DenisChenu Bug heat 256 => 258
2021-07-13 15:05 jelo Bug heat 258 => 256
2021-07-16 16:30 galads Bug heat 256 => 258
2021-07-16 20:15 guest Bug heat 258 => 256
2021-07-19 08:32 DenisChenu Bug heat 256 => 258
2021-07-19 08:59 guest Bug heat 258 => 256